IRremoteESP8266

Public Attributes | List of all members
EcoclimProtocol Union Reference

Native representation of a Ecoclim A/C message. More...

`#include <ir_Ecoclim.h>`

## Public Attributes
uint64_t | raw
| The state in IR code form. More...
struct {
uint64_t __pad0__:3
| Fixed 0b010. More...
uint64_t __pad1__:1
| Unknown. More...
uint64_t DipConfig:4
| 0b0000 = Master, 0b0111 = Slave More...
uint64_t OffTenMins:3
| Off Timer minutes (in tens of mins) More...
uint64_t OffHours:5
| Off Timer nr of Hours. More...
uint64_t OnTenMins:3
| On Timer minutes (in tens of mins) More...
uint64_t OnHours:5
| On Timer nr of Hours. More...
uint64_t Clock:11
uint64_t __pad2__:1
| Unknown. More...
uint64_t Fan:2
| Fan Speed. More...
uint64_t Power:1
| Power control. More...
uint64_t Clear:1
uint64_t Temp:5
| Desired Temperature (Celsius) More...
uint64_t Mode:3
| Operating Mode. More...
uint64_t SensorTemp:5
| Sensed Temperature (Celsius) More...
uint64_t __pad3__:3
| Fixed. More...
}; |

## Detailed Description

Native representation of a Ecoclim A/C message.

## Member Data Documentation

## ◆ @43

struct { ... }

## ◆ __pad0__

uint64_t EcoclimProtocol::__pad0__

Fixed 0b010.

## ◆ __pad1__

uint64_t EcoclimProtocol::__pad1__

Unknown.

## ◆ __pad2__

uint64_t EcoclimProtocol::__pad2__

Unknown.

## ◆ __pad3__

uint64_t EcoclimProtocol::__pad3__

Fixed.

## ◆ Clear

uint64_t EcoclimProtocol::Clear

## ◆ Clock

uint64_t EcoclimProtocol::Clock

## ◆ DipConfig

uint64_t EcoclimProtocol::DipConfig

0b0000 = Master, 0b0111 = Slave

## ◆ Fan

uint64_t EcoclimProtocol::Fan

Fan Speed.

## ◆ Mode

uint64_t EcoclimProtocol::Mode

Operating Mode.

## ◆ OffHours

uint64_t EcoclimProtocol::OffHours

Off Timer nr of Hours.

## ◆ OffTenMins

uint64_t EcoclimProtocol::OffTenMins

Off Timer minutes (in tens of mins)

## ◆ OnHours

uint64_t EcoclimProtocol::OnHours

On Timer nr of Hours.

## ◆ OnTenMins

uint64_t EcoclimProtocol::OnTenMins

On Timer minutes (in tens of mins)

## ◆ Power

uint64_t EcoclimProtocol::Power

Power control.

## ◆ raw

uint64_t EcoclimProtocol::raw

The state in IR code form.

## ◆ SensorTemp

uint64_t EcoclimProtocol::SensorTemp

Sensed Temperature (Celsius)

## ◆ Temp

uint64_t EcoclimProtocol::Temp

Desired Temperature (Celsius)

The documentation for this union was generated from the following file:

- src/ir_Ecoclim.h